commit:     47416704e5e7325dc290da3a70cab07b1756ab1e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 27 05:41:33 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 27 05:41:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47416704

dev-ruby/rspec-json_expectations: add 2.2.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-ruby/rspec-json_expectations/Manifest          |  1 +
 .../rspec-json_expectations-2.2.0.ebuild           | 27 ++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-ruby/rspec-json_expectations/Manifest 
b/dev-ruby/rspec-json_expectations/Manifest
index 7c7a2fd13c6..faa62da97cf 100644
--- a/dev-ruby/rspec-json_expectations/Manifest
+++ b/dev-ruby/rspec-json_expectations/Manifest
@@ -1 +1,2 @@
 DIST rspec-json_expectations-2.1.0.gem 14848 BLAKE2B 
2c359351ba457297f7d561059183a8e32fa5762dbdc97c8ddb2432acb00c092fcc14a45e8f7625812420b926c4f177afdf4ff124f9b35d15b60fb58861c1f46a
 SHA512 
1b09b959d6ecbc76c13b37fbf89cba381feb00505ce3a5701ad87ef1ed2ee178ea760508af809ac7dc8285c24d86dd7e33a7fb903a7f74472ca59d59f8df0daf
+DIST rspec-json_expectations-2.2.0.gem 14848 BLAKE2B 
c2f77e908eb0f473a5bae0ed49e133ebe71d4c471e2b32a9620f84e3881ca6aa92d188b8aafae8d92ee9111edcf2cc3636598c59e9f92747422f3c43c7e14563
 SHA512 
90da15c4c02404ac518955d65612fc7db28e8f91a756e5a25d0e5667026113f7a1be69cdc9bc656eeb89ccc7cb41069dd241401a2680f69528fb77d5491f2a83

diff --git 
a/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.2.0.ebuild 
b/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.2.0.ebuild
new file mode 100644
index 00000000000..b95f3edd5c6
--- /dev/null
+++ b/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Set of matchers and helpers to allow you test your APIs 
responses."
+HOMEPAGE="https://github.com/waterlink/rspec-json_expectations";
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-util/cucumber )"
+
+each_ruby_test() {
+       ${RUBY} -S cucumber --format progress features || die
+}

Reply via email to